import 'package:flutter/material.dart';

class ColorsState {
  static Color colorPrimary = HexColor("#f37429");
  static Color colorPrimaryBlue = HexColor("#0066B3");
  static Color colorPrimaryRed = HexColor("#DD0E04");
  static Color colorPrimaryGreen = HexColor("#79C141");
  static Color colorPrimarylightBlue = HexColor("#1676F3");
  static Color colorPrimarybackground = HexColor("#F6F6F6");
  static Color colorPrimaryyellow = HexColor("#FDFFA9");

  static Color colorPrimaryApp = HexColor("#005072");
  static Color colorBgTextField = HexColor("#E8EBEF");
  static Color colorDisableButton = HexColor("#F3F5F7");
  static Color colorGreyText = HexColor("#A4A4A4");
  static Color colorGreyDrawer = HexColor("#5A5A5A");
  static Color colorCiantHeader = HexColor("#D4FAFF");

  static MaterialColor white = const MaterialColor(
    0xFFFFFFFF,
    const <int, Color>{
      50: const Color(0xFFFFFFFF),
      100: const Color(0xFFFFFFFF),
      200: const Color(0xFFFFFFFF),
      300: const Color(0xFFFFFFFF),
      400: const Color(0xFFFFFFFF),
      500: const Color(0xFFFFFFFF),
      600: const Color(0xFFFFFFFF),
      700: const Color(0xFFFFFFFF),
      800: const Color(0xFFFFFFFF),
      900: const Color(0xFFFFFFFF),
    },
  );
}

class HexColor extends Color {
  static int _getColorFromHex(String hexColor) {
    hexColor = hexColor.toUpperCase().replaceAll("#", "");
    if (hexColor.length == 6) {
      hexColor = "FF" + hexColor;
    }
    return int.parse(hexColor, radix: 16);
  }
  HexColor(final String hexColor) : super(_getColorFromHex(hexColor));
}