import 'dart:convert';

import 'package:shared_preferences/shared_preferences.dart';

class Preferences {
  static String Key_vms = "VMS";
  static String Key_token = "tokenId";
  static String Key_firebase = "firebase";

  static String Key_id = "id";
  static String Key_profile = 'profile';
  static String Key_user = 'user';
  static String Key_position = 'position';


  static void setid(String id) async {
    SharedPreferences pref = await SharedPreferences.getInstance();
    await pref.setString(Key_id, id);
  }

  static Future<String> getId() async {
    SharedPreferences pref = await SharedPreferences.getInstance();
    return '${pref.getString(Key_id)}';
  }


  static void setToken(String token) async {
    SharedPreferences pref = await SharedPreferences.getInstance();
    await pref.setString(Key_token, token);
  }

  static Future<String> getToken() async {
    SharedPreferences pref = await SharedPreferences.getInstance();
    return pref.getString(Key_token);
  }

  static void setFirebase(String firebase) async {
    SharedPreferences pref = await SharedPreferences.getInstance();
    await pref.setString(Key_firebase, firebase);
  }

  static Future<String> getFirebase() async {
    SharedPreferences pref = await SharedPreferences.getInstance();
    return pref.getString(Key_firebase);
  }

  // static void setProfile(String profile) async {
  //   SharedPreferences pref = await SharedPreferences.getInstance();
  //   await pref.setString(Key_profile, profile);
  // }
  //
  // static Future<ProfileModel> getProfile() async {
  //   SharedPreferences pref = await SharedPreferences.getInstance();
  //   Map dec = json.decode(pref.getString(Key_profile));
  //   return ProfileModel.fromJson(dec);
  // }
  //
  // static void setUser(String user) async {
  //   SharedPreferences pref = await SharedPreferences.getInstance();
  //   await pref.setString(Key_user, user);
  // }
  //
  // static Future<UserModel> getUserModel() async {
  //   SharedPreferences pref = await SharedPreferences.getInstance();
  //   Map dec = json.decode(pref.getString(Key_user));
  //   return UserModel.fromJson(dec);
  // }


  // static void setPurpose(String purpose) async {
  //   SharedPreferences pref = await SharedPreferences.getInstance();
  //   await pref.setString(Key_purpose, purpose);
  // }
  //
  // static Future<List> getPurpose() async {
  //   SharedPreferences pref = await SharedPreferences.getInstance();
  //   Map mdatas = json.decode(pref.getString(Key_purpose));
  //   print('mapp data $mdatas ');
  //   List datas = [];
  //   mdatas['datas'].forEach((element) {
  //     datas.add(element);
  //   });
  //   return datas;
  // }


}